Bug 1469396 - (hotspot) Review Request: hotspot - The Linux perf GUI for performance analysis
Review Request: hotspot - The Linux perf GUI for performance analysis
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Yanko Kaneti
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 04:12 EDT by Jan Grulich
Modified: 2017-07-27 17:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-27 12:51:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
yaneti: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jan Grulich 2017-07-11 04:12:10 EDT
Spec URL: https://jgrulich.fedorapeople.org/hotspot/hotspot.spec
SRPM URL: https://jgrulich.fedorapeople.org/hotspot/hotspot-1.0.0-1.fc26.src.rpm
Description: A standalone GUI for performance data. Attempting to provide a UI like
KCachegrind around Linux perf.
Fedora Account System Username: jgrulich
Comment 1 Yanko Kaneti 2017-07-11 04:25:51 EDT
%{_libdir}/libexec/hotspot-perfparser
 - is not the expected libexec location on Fedora.
Comment 2 Jan Grulich 2017-07-11 04:41:58 EDT
Fixed, updated files can be found on under same links.

Spec URL: https://jgrulich.fedorapeople.org/hotspot/hotspot.spec
SRPM URL: https://jgrulich.fedorapeople.org/hotspot/hotspot-1.0.0-1.fc26.src.rpm
Comment 3 Yanko Kaneti 2017-07-11 05:07:01 EDT
Naming of upstream is a bit presumptuous, but.... nothing else with that name/binary in Fedora.
License matches.
Source matches.
Builds in mock.
Works in brief testing with random perf.data

APPROVED

TODO
desktop integration, possibly..
Comment 4 Fedora Update System 2017-07-13 03:46:02 EDT
hotspot-1.0.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6588dc96d6
Comment 5 Fedora Update System 2017-07-13 03:46:11 EDT
hotspot-1.0.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ef275a5084
Comment 6 Fedora Update System 2017-07-13 17:25:39 EDT
hotspot-1.0.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6588dc96d6
Comment 7 Fedora Update System 2017-07-13 19:53:28 EDT
hotspot-1.0.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ef275a5084
Comment 8 Fedora Update System 2017-07-27 12:51:54 EDT
hotspot-1.0.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2017-07-27 17:52:23 EDT
hotspot-1.0.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.